Fetch User Favorite Locations

Gets a user's favorite locations for eClub/loyalty

Query Parameters
  • user_id
    Type: string
    required

    Unique user ID

Headers
  • Authorization
    Type: string
    required

    Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Responses
  • application/json
Request Example for get/api2/dashboard/user_favourite_locations
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/user_favourite_locations?user_id=111111111' \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE'
[
  {
    "user_id": 111111111,
    "channel": "eClub",
    "location_id": 342786,
    "store_number": "12345",
    "user_favourite_location_id": 105980749
  }
]